Member Nodes - MNDeployment #3228

NCEI - National Centers for Environmental Information
2012-09-06 21:47 - Matthew Jones

Status: Operational Start date: 2012-09-06
Priority: Normal Due date:

Assignee: Dave Vieglais % Done: 96%
Category: Estimated time: 0.00 hour
Target version: Operational

Latitude: 38.89 MN_Date_Online: 2016-03-31
Longitude: -77.03 Name:

MN Description: The NOAA National Centers for Logo URL:

Environmental Information (NCEI)
manages the world's largest collection of
freely available oceanographic data.

The oceanographic archive includes data
dating back to the 1700s from every
imaginable platform and from every
corner of the world ocean. NCEl is the
merger of NOAA's three former National
Data Centers: The National
Oceanographic Data Center (NODC),
the National Climatic Data Center
(NCDC), and the National Geophysical
Data Center (NGDC). Currently, the
holdings of the former NODC are
available through DataONE though NCEI
is investigating the possibility of including
more of its environmental data holdings
from the atmospheric, climatic, and
geophysical domains.

Base URL: https://www.ncei.noaa.gov/ Date Upcoming:
Nodeldentifier: urn:node:NCEI Date Deprecated:
MN Tier: Tier 1 Information URL.:
Software stack: CSW slender node Version:
Description

This issue is to track the contact to and potential deployment of an NODC (National Oceanic Data Center) member node.

Google doc outlining plans: https://docs.google.com/document/d/1C2UB67KsL1YmZG8gFIMcZneNbbsopPO4zMITLY7-IQE/edit

Subtasks:

Task # 3229: contact NODC to continue discussions about an NODC MN Closed
Task # 6762: Notes from call 20150116 and forward Closed
Task # 6806: NODC: Join DataONE Closed
Task # 6807: NODC: Scope the implementation Closed
Task # 6808: NODC: Plan the implementation Closed
Story # 6809: NODC: Design, code and component test a new MN implementation Closed
Task # 6982: FTP Client to retrieve package and package component URLs Closed
Task # 6983: Determine type of metadata and the rules for parsing for indexing Closed
Task # 6984: For each Tier 1 MN method, determine how response should be constructed Closed
Task # 6985: Create resource map documents for each package Closed
Task # 6990: rerun nodc_listObjects tomorrow to see if any ID values have changed Closed
Task # 6986: Strategy for synchronrizing content after it changes on the NODC server Closed
Task # 6987: Some FTP end points do not have a manifest document - how to handle? Closed
Task # 6988: Create System Metadata for data objects Closed
Task # 6989: Determine how to map objects to DataONE object formats Closed

Task # 6810: NODC: Implement search index and display support for any new metadata form... Closed
Task # 6811: NODC: Register any new object formats in all environments Closed
Task # 6812: NODC: Local Testing Closed
Task # 6813: NODC: Establish DataONE user identity in Testing Environment Closed
Task # 6814: NODC: Configure SSL Certificates for Testing Environment Closed
Task # 6815: NODC: Verify MN Content and Services in Testing Environment Closed
Task # 6816: NODC: Register MN in Testing Environment Closed
Task # 6817: NODC: Verify CN Content and Services in Testing Environment Closed
Task # 6818: NODC: Check Authentication and Authorization in Testing Environment Closed
Task # 6819: NODC: Show MN as "upcoming" on the dashboard Closed
Task # 6820: NODC: Establish DataONE user identity in Production Closed
Task # 6821: NODC: Configure SSL Certificates for Production Closed
Task # 6822: NODC: Verify MN Content and Services in Production Closed
Task # 6823: NODC: Register MN in Production Closed
Task # 6824: NODC: Verify CN Content and Services in Production Closed
Task # 6825: NODC: Check Authentication and Authorization in Production Closed
Task # 6826: NODC: Mutual acceptance Closed
Task # 6827: NODC: Ensure MN appears on Current MNs webpage (dashboard) Closed
Task # 6828: NODC: Document and Announce Closed
Task # 8585: GMN not syncing obsoletedBy field correctly Closed
Task # 8681: NCEI - install new GMN New
Related issues:

Related to Member Nodes - Support #8017: NCEI - Implement GMN for replicating... New 2017-02-14

History

#1 - 2012-09-06 21:49 - Matthew Jones
- Subject changed from deploy the NODC member node to Deploy the NODC member node

#2 - 2013-01-30 18:40 - Matthew Jones
- Start date deleted (2012-09-06)

#3 - 2013-01-30 19:51 - John Cobb
- Subject changed from Deploy the NODC member node to NODC member node

#4 - 2013-01-30 20:14 - Matthew Jones

- Due date set to 2014-01-31

- Target version set to Deploy by end of Y5Q2
- Start date set to 2013-01-30

#5 - 2013-08-01 23:10 - John Cobb
- Due date changed from 2014-01-31 to 2014-08-01
- Target version changed from Deploy by end of Y5Q2 to Deferred

Documenting conversation with John Cobb, Dave Vieglais, and Matt Jones at the Knoxville Meeting in July:

NODC does not, at present have logging capability. How this will be resolved is not yet known. NODC may implement this functionality, or slender
node might finesse the issue or ...

Moving to a deferred wait-state while a work-out is found.
#6 - 2013-08-23 13:00 - Bruce Wilson

- Status changed from New to Deferred

Updating status to Deferred, per above comments.

#7 - 2014-05-19 12:33 - Bruce Wilson
- Due date deleted (2014-08-01)

- Status changed from Deferred to New
- Target version deleted (Deferred)

- Start date deleted (2012-09-06)

Moving this out of Deferred and into the Backlog, as the developments with the DAP MN stack make this a more feasible option.

#8 - 2014-12-23 20:26 - Matthew Jones
Through contacts with NODC, the sent the following service endpoints that may be the best place for implementation of a Slender Node. | suspect
that CSW would work well for this.

links to our WAF and some example landing pages. We do also provide CSW, OpenSearch and OAI-PMH endpoints to the the metadata so you can
see it through those services as well.

NODC ISO WAF: http://data.nodc.noaa.gov/nodc/archive/metadata/approved/iso/
NODC ISO landing page
http://data.nodc.noaa. qov/cm b|n/|so'7|d =gov.noaa.nodc: 01 10317 view= html

Opensearch description for collection level discovery

http: .nodc.noaa.gov. rtal n rchDescription
OAI-PMH endpoint
http: .nodc.

#9 - 2014-12-23 20:55 - Matthew Jones

An example CSW request that lists the first 20 records from their CSW service:

&outoutFormat text/xml&startPosmon 1&maxRecords 20

Each of these records has an embedded link to the associated ISO metadata document, such as:

/dct references@

It also has a link to a service that lists the data granules, which in this case there are more than 16K:
http://data.nodc.noaa.gov/nodc/archive/metadata/approved/iso/
http://data.nodc.noaa.gov/cgi-bin/iso?id=gov.noaa.nodc:0110317;view=html
http://data.nodc.noaa.gov/cgi-bin/iso?id=gov.noaa.nodc:AVHRR_Pathfinder-NODC-L3C-v5.2
http://data.nodc.noaa.gov/geoportal/csw/discovery?Request=GetCapabilities&Service=CSW&Version=2.0.2
http://data.nodc.noaa.gov/geoportal/openSearchDescription
http://data.nodc.noaa.gov/cgi-bin/oai-pmh
http://data.nodc.noaa.gov/geoportal/csw/discovery?Request=GetRecords&Service=CSW&Version=2.0.2&ElementSetName=brief&resultType=results&outputFormat=text/xml&startPosition=1&maxRecords=20
http://data.nodc.noaa.gov/geoportal/csw/discovery?Request=GetRecords&Service=CSW&Version=2.0.2&ElementSetName=brief&resultType=results&outputFormat=text/xml&startPosition=1&maxRecords=20
http://data.nodc.noaa.gov/geoportal/csw?getxml=%7B8C6DFB99-02E6-482B-BE81-3E9651A0F472%7D
redmine.dataone.org/dct:references

@
http://www.nodc.noaa.gov/geoportal/rest/find/document?searchText=fileldentifier’a3AUPA-L2P-ATS_NR_2P*&start=1&max=100&f=searchPage
[dct:references@

We would need a way to get SystemMetadata for all of the data granules, particularly the checksum.

#10 - 2015-01-02 17:04 - Laura Moyers
- Start date set to 2015-01-02

- Target version set to In Progress

- Status changed from New to Planning

- Due date set to 2015-09-30

Targeting for implementation by 31 Mar 2016.

#11 - 2015-01-22 15:47 - Dave Vieglais

- Description updated

#12 - 2015-01-30 19:00 - Laura Moyers
- % Done changed from 0 to 10
- Target version changed from In Progress to Deploy by end of Y1Q4

#13 - 2015-04-17 14:38 - Laura Moyers

- Status changed from Planning to Ready

#14 - 2015-05-29 20:28 - Laura Moyers

- Subject changed from NODC member node to NCEI - National Centers for Environmental Information (was NODC)
- Nodeldentifier set to urn:node:NCE|

- MN Tier set to Tier 1

- Software stack set to CSW slender node

NODC has finished their reorganization with NCDC and NGDC, so we should refer to this MN as NCEI now (National Centers for Environmental
Information)

https://www.ncei.noaa.gov/

#15 - 2015-08-18 00:39 - Laura Moyers
- Target version changed from Deploy by end of Y1Q4 to Deploy by end of Y2Q1

#16 - 2015-10-28 22:43 - Laura Moyers

- Assignee changed from Matthew Jones to Dave Vieglais

Plan to have an operational MN in stage before Christmas. Mark Flynn will be lead after he finishes up GMN V2 updates (by Thanksgiving). AHM
10/28/15

#17 - 2016-01-11 16:24 - Laura Moyers
- Target version changed from Deploy by end of Y2Q1 to Deploy by end of Y2Q2
#18 - 2016-01-14 15:12 - Laura Moyers
- Latitude set to 38.89
- Longitude set to -77.03

#19 - 2016-03-29 11:04 - Laura Moyers
- Status changed from Ready to Operational

- MN Description set to The NOAA National Centers for Environmental Information (NCEI) manages the world's largest collection of freely available
oceanographic data. The oceanographic archive includes data dating back to the 1700s from every imaginable platform and from every corner of the
world ocean. NCEI is the merger of NOAA's three former National Data Centers: The National Oceanographic Data Center (NODC), the National
Climatic Data Center (NCDC), and the National Geophysical Data Center (NGDC). Currently, the holdings of the former NODC are available through
DataONE though NCEI is investigating the possibility of including more of its environmental data holdings from the atmospheric, climatic, and
geophysical domains.

- Base URL set to https://www.ncei.noaa.gov/

The metadata-only version of the NCEI MN is operational and in production. Additional functionality will be deployed as developed/tested.

#20 - 2016-03-29 13:30 - Laura Moyers
- Target version changed from Deploy by end of Y2Q2 to Operational

#21 - 2016-04-06 14:24 - Laura Moyers

- Subject changed from NCEI - National Centers for Environmental Information (was NODC) to NCEI - National Centers for Environmental Information

#22 - 2016-06-03 19:47 - Laura Moyers
- MN_Date_Online set to 2016-03-31

#23 - 2017-02-13 20:35 - Monica Ihli
- Related to Support #8017: NCEI - Implement GMN for replicating Arctic Data Center Data added

#24 - 2018-01-10 01:14 - Dave Vieglais
- Sprint set to Ongoing Operational

#25 - 2019-07-08 16:28 - Amy Forrester

Per Robert.McGuinn@noaa.gov
Northern Gulf Institute, Mississippi State University to start adding regular updates of their deep sea coral and sponge database to the NCEI archive
